# Global

##

### Methods

#### <private> createSizeFilters(command, key, value)

  Recompute size filters

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `command` | FfmpegCommand |
  `key` | String | newly-added parameter name ('size', 'aspect' or 'pad')
  `value` | String | newly-added parameter value

  Source:
    - options/videosize.js, line 72

  ##### Returns:

  filter string array

#### <private> getScalePadFilters(width, height, aspect, color)

  Return filters to pad video to width*height,

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `width` | Number | output width
  `height` | Number | output height
  `aspect` | Number | video aspect ratio (without padding)
  `color` | Number | padding color

  Source:
    - options/videosize.js, line 19

  ##### Returns:

  scale/pad filters

#### <private> parseProgressLine(line)

  Parse progress line from ffmpeg stderr

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `line` | String | progress line

  Source:
    - utils.js, line 16

  ##### Returns:

  progress object

#### <private> process(command, target, pipeOptions)

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `command` | FfmpegCommand |  |
  `target` | String | Writable |  |
  `pipeOptions` | Object | <optional> |

  Source:
    - processor.js, line 47

#### <private> runFfprobe(command)

  Run ffprobe asynchronously and store data in command

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `command` | FfmpegCommand |

  Source:
    - processor.js, line 194